com.h3c.sdn.adm.dao.model

## Class LicenseEntity

- java.lang.Object
- - com.h3c.sdn.adm.dao.model.LicenseEntity

- All Implemented Interfaces:
    Storable<Long>

      @Entity
      public class LicenseEntity
      extends Object
      implements Storable<Long>

  License persistence representation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LicenseEntity()` Constructor
    `LicenseEntity(int sno, String key, Date lastUpdated)` Creates a License Entity.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getId()` Gets the internally-assigned identifier used for intra-model references.
    `String` | `getKey()` Get the license key
    `Date` | `getLastUpdated()` get the license last modified date
    `int` | `getSno()` Get the license record serial number
    `void` | `setKey(String key)` Set the latest license key for that serial number
    `void` | `setLastUpdated(Date lastUpdated)` Set last modified date and time

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LicenseEntity

          public LicenseEntity()

      Constructor

    - #### LicenseEntity

          public LicenseEntity(int sno,
                       String key,
                       Date lastUpdated)

      Creates a License Entity.
      Parameters:
        `sno` - license record serial number
        `key` - license key
        `lastUpdated` - last updated time stamp

  - ### Method Detail

    - #### setLastUpdated

          public void setLastUpdated(Date lastUpdated)

      Set last modified date and time
      Parameters:
        `lastUpdated` - the lastUpdated to set

    - #### setKey

          public void setKey(String key)

      Set the latest license key for that serial number
      Parameters:
        `key` - the license key to set

    - #### getSno

          public int getSno()

      Get the license record serial number
      Returns:
        the serial number of the license

    - #### getLastUpdated

          public Date getLastUpdated()

      get the license last modified date
      Returns:
        the lastUpdated

    - #### getKey

          public String getKey()

      Get the license key
      Returns:
        the license key

    - #### getId

          public Long getId()

      Description copied from interface: `Storable`
      Gets the internally-assigned identifier used for intra-model references. This identifier is generated internally by the persistence layer and is assumed to be unique per object type, and hence per database table.
      Specified by:
        `getId` in interface `Storable<Long>`
      Returns:
        internal object identifier suitable as a table lookup key

Copyright © 2014. All Rights Reserved.